

 use "C:\Users\nibba\OneDrive\Dokumenter\Bachelor\BACHELOR DATASETT.dta"
 
 drop ed edd loeduc heduc
 drop if ed_ioedu== .
 drop if ch281== .

drop if ed_ioedu== .a /* this is to remove the label "Mangler data"*/
drop if ch281== .c /* this code is to remove filters and some other irrelevant labels*/
drop if ch281== .a
drop if ch281== .b
drop if ch281==.d

 summarize ch281 ed_ioedu /* this is to get an overview over our relevant variables*/

regress ch281 ed_ioedu 
/* these variables are not continous but categorical*/

 /* generating dummies for each education level of the parents */
 
gen pschool=1 if ed_ioedu==1
replace pschool=0 if ed_ioedu!=1
gen hschool=1 if ed_ioedu==2
replace hschool=0 if ed_ioedu!=2
gen hpschool=1 if ed_ioedu==3
replace hpschool=0 if ed_ioedu!=3
gen universityl=1 if ed_ioedu==4
replace universityl=0 if ed_ioedu!=4
gen universityh=1 if ed_ioedu==5
replace universityh=0 if ed_ioedu!=5

/* running a MLR OLS-regression with the dummies */
reg ch281 hschool hpschool universityl universityh

/* our refrence group here is pschool, this is to prevent the dummy variable trap.

scatter ch281 ed_ioedu, ytitle("Individual's education level") xtitle("Parent's education level") /* this sclatter plot looks like this because our dependent and independent variables are not continous, but categorical. So one dot may represent 200 individuals, but this is not shown in the sclatter plot*/

 This is to check for MLR.5. If we reject H0, this means that MLR.5 does not hold.*/
 
reg ch281 hschool hpschool universityl universityh
hettest, rhs iid

/* now we are generating dummies for the child's education level*/

gen childpschool=1 if ch281==1
replace childpschool=0 if ch281!=1
gen childhschool=1 if ch281==2
replace childhschool=0 if ch281!=2
gen childhpschool=1 if ch281==3
replace childhpschool=0 if ch281!=3
gen childuniversityl=1 if ch281==4
replace childuniversityl=0 if ch281!=4
gen childuniversityh=1 if ch281==5
replace childuniversityh=0 if ch281!=5

/* Here I'm running regressions between the same education groups for both parent and child*/

reg childpschool pschool
reg childhschool hschool
reg childhpschool hpschool
reg childuniversityl universityl
reg childuniversityh universityh

/* now I'm running cross sectional regressions among child with master/phd and the different education groups for parents */

reg childuniversityh pschool
reg childuniversityh hschool
reg childuniversityh hpschool
reg childuniversityh universityl

/* this is the data for making our tables*/
ssc install outreg
ssc install estout
reg ch281 ed_ioedu
outreg using tabell1
outreg using tabell1, replace se
reg ch281 hschool hpschool universityl universityh
outreg using tabell2, se ctitle(ch281(Utdanningsnivå)) merge

/* tables for same levels of education between parent and child*/

reg childpschool pschool
outreg using check1

reg childhschool hschool
outreg using check2,  ctitle(childhschool()) merge

reg childhpschool hpschool
outreg using check3,  ctitle(childhpschool()) merge

reg childuniversityl universityl
outreg using check4,  ctitle(childuniversityl()) merge

reg childuniversityh universityh
outreg using check5,  ctitle(childuniversityh()) merge

/* cross sectional regression between different levels of education between parent and child*/
reg childhschool pschool
outreg using check11

reg childhschool hpschool
outreg using check2,  ctitle(()) merge

reg childhschool universityl
outreg using check3,  ctitle(()) merge

reg childhschool universityh
outreg using check4,  ctitle(()) merge

/* new level for child*/
reg childhpschool pschool
outreg using check5

reg childhpschool hschool
outreg using check6,  ctitle(()) merge

reg childhpschool universityl
outreg using check7,  ctitle(()) merge

reg childhpschool universityh
outreg using check8,  ctitle(()) merge

/* new level for child*/
reg childuniversityl pschool
outreg using check9

reg childuniversityl hschool
outreg using check10,  ctitle(()) merge

reg childuniversityl hpschool
outreg using check11,  ctitle(()) merge

reg childuniversityl universityh
outreg using check12,  ctitle(()) merge

/* new level for child*/
reg childuniversityh pschool
outreg using check13

reg childuniversityh hschool
outreg using check14,  ctitle(()) merge

reg childuniversityh hpschool
outreg using check15,  ctitle(()) merge

reg childuniversityh universityl
outreg using check16,  ctitle(()) merge

/*Limitations part, including control variable, parents age :) */

reg ch281 hschool hpschool universityl universityh
outreg using check1
outreg using check1, replace se
reg ch281 hschool hpschool universityl universityh io_ioalder
outreg using check2, se merge



